%
% Exercise 04
% Voltage Control of Boost Converter
% 
% Power Electronics
% Department of Power Electronics and Electrical Drives
%
% University of Paderborn
%
% 16.05.2015

close all


%% Ausgangsspannung v_out
close all
figure(101)

plot(v_out_data.time, v_out_data.signals.values(:,3), 'g-');

hold on;

plot(v_out_data.time, v_out_data.signals.values(:,2), 'm-');

plot(v_out_data.time, v_out_data.signals.values(:,1), 'b-');

plot(v_out_data.time, v_out_data.signals.values(:,4), 'k-.');


grid on;

set(gca,'FontSize',13);

xlabel('t in s');
ylabel('v_o_u_t in V');

legend('Switched Model', 'Average Value Model', 'Transfer Function Model', 'Reference Voltage');

%axis([0 0.03 0 1.2*max(v_out_data.signals.values(:,2))])
axis([0 0.03 398.5 400.5])

% xlim([0,5e-3])


%% Inductor Current
figure(102)

plot(i_L_data.time, i_L_data.signals.values(:,3), 'g-');

hold on;

plot(i_L_data.time, i_L_data.signals.values(:,2), 'm-');

plot(i_L_data.time, i_L_data.signals.values(:,1), 'b-');


grid on;

set(gca,'FontSize',13);

xlabel('t in s');
ylabel('i_L in A');

legend('Switched Model', 'Average Value Model', 'Transfer Function Model');

axis([0 0.03 0 1.5*max(i_L_data.signals.values(:,2))])


% xlim([0,5e-3])
%print -dmeta -r600 i_L_plot01.emf;







